#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global        xdgvers		179296748e92bd91bf531656632a1056307fb7b7
#-----------------------------------------------------------------------------
Name		:	shared-mime-info
Version		:	2.4
Release		:	17.2.0.rel%{?dist}
Summary		:	Shared MIME information database
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://gitlab.freedesktop.org/xdg/shared-mime-info/

Source0		:	%{name}-%{version}.tar.gz
			#https://gitlab.freedesktop.org/xdg/xdgmime
Source1		:	xdgmime-%{xdgvers}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	glib
BuildRequires	:	libxml2
#-----------------------------------------------------------------------------
%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang

%defattr(-,root,root,-)
%doc COPYING README.md NEWS
%{_bindir}/update-mime-database
%{_datadir}/pkgconfig/%{name}.pc
#{_datadir}/mime/*/*.xml
%{_datadir}/mime/
%{_datadir}/gettext/its/shared-mime-info.its
%{_datadir}/gettext/its/shared-mime-info.loc
%{_mandir}/man1/*.1.gz


#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-mime-database -n %{_datadir}/mime

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}
%{__rm} -fr xdgmime
%{__mv} xdgmime-%{xdgvers}/ xdgmime/
%{__make} CC=gcc -C xdgmime

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D update-mimedb=true				\
	_bld						\

meson	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson	test						\
	-C _bld						\
	--print-errorlogs				\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

%find_lang	%{name}

#-----------------------------------------------------------------------------
%changelog
